WM upgrade from 9.7 to 10.7

Hi All,

We are planning to upgrade our Webmethods to 10.7 from 9.7. I have never did any upgrades before. I have few doubts:

  1. Can we first install all latest 10.7 version related components in a new VM and then upload the old 9.7 code packages? Will these create any issues. Did anyone try this approach?

  2. Do you think any code changes be required while moving packages from 9.7 to 10.7 ?

  3. Can we use our old WM Broker 9.6 with WM IS 10.7? Or should broker be updated to latest version or UM?

  4. Any idea on what all old services are deprecated in 10.7 ?

In our WM9.7, currently we are using :

SoftwareAG Broker 9.6
SoftwareAG IS 9.7
SoftwareAG MWS 9.7
SoftwareAG Platform Manager 9.7

SoftwareAG Optimize Analytic Engine 9.7
SoftwareAG Optimize Webservice Data Collector 9.7

Thanks,

@Sangamesh,
On the queries above have you scanned the available documentation below and may be you will get some idea:
https://documentation.softwareag.com/webmethods/wmsuites/wmsuite10-7/SysReqs_Installation_and_Upgrade/index.htm

HTH,
RMG

Hi Sangamesh,

in addition to RMGs answer:

There is no direct migration path from 9.7 to 10.7.
You will have to perform an interim migration to 9.12 (still using Broker 9.6).
In the documentation area there is also a document called “Supported Upgrade Paths”.

For 10.7 you should consider upgrading to Broker 10.5.
Migration from Broker to UM is not an easy task, esp. when using native pub/sub.
That is the reason why Broker has been refurbished from 9.6 to 10.5 while including the Fixes from 9.6 into the 10.5 GA version.

Regarding deprecated services:
You will have to check all the release notes for 9.8 up to 10.7 to find all services being deprecated or changed in defaults.
You can check the community forums, there is an pre-upgrade analzyer tool available for IS:

Regards,
Holger

1 Like

For question 3. “Can we use our old WM Broker 9.6 with WM IS 10.7? Or should broker be updated to latest version or UM?”

Yes. IS 10.7 will work with Broker Server 9.6. But, Broker 9.6 will be out of maintenance soon. So, you’ll need to either upgrade Broker version or migrate to UM. If you plan to migrate to UM, then do this separately, i.e. first upgrade all products except Broker to the target version, then in next phase migrate from Broker to UM.

Refer to following link for more details: https://empower.softwareag.com/sl24sec/SecuredServices/Announcement/Broker/brokerendoflife.htm